<!DOCTYPE html>
<html class="no-js" lang="en-US">

{% include 'head.twig' %}
{% include 'partials/header-menu.twig' %}
<div class="row">
    <div class="col-md-3">

        {% include 'admin/admin-right-menu.twig'%}

    </div>
    <div class="col-md-8" style="margin-top: 50px;">
        <br>
        {% block admincontent %}
        <h2>Привет, {{ user_firstname }}!</h2>
        <hr>
            <section id="auth-button"></section>
            <section id="view-selector"></section>
            <section id="timeline"></section>
        {% endblock %}
    </div>
</div>


<!-- Step 2: Load the library. -->

<script>
    (function(w,d,s,g,js,fjs){
        g=w.gapi||(w.gapi={});g.analytics={q:[],ready:function(cb){this.q.push(cb)}};
        js=d.createElement(s);fjs=d.getElementsByTagName(s)[0];
        js.src='https://apis.google.com/js/platform.js';
        fjs.parentNode.insertBefore(js,fjs);js.onload=function(){g.load('analytics')};
    }(window,document,'script'));
</script>

<script>
    gapi.analytics.ready(function() {

        // Step 3: Authorize the user.

        var CLIENT_ID = '691139384547-no7ibi94fvpu464d1k5uugvdv8e15ov8.apps.googleusercontent.com';

        gapi.analytics.auth.authorize({
            container: 'auth-button',
            clientid: CLIENT_ID,
        });

        // Step 4: Create the view selector.

        var viewSelector = new gapi.analytics.ViewSelector({
            container: 'view-selector'
        });

        // Step 5: Create the timeline chart.

        var timeline = new gapi.analytics.googleCharts.DataChart({
            reportType: 'ga',
            query: {
                'dimensions': 'ga:date',
                'metrics': 'ga:sessions',
                'start-date': '30daysAgo',
                'end-date': 'yesterday',
            },
            chart: {
                type: 'LINE',
                container: 'timeline'
            }
        });

        // Step 6: Hook up the components to work together.

        gapi.analytics.auth.on('success', function(response) {
            viewSelector.execute();
        });

        viewSelector.on('change', function(ids) {
            var newIds = {
                query: {
                    ids: ids
                }
            }
            timeline.set(newIds).execute();
        });
    });
</script>
</html>

